Subject: Re: linux-next: Tree for August 6 (8390 et al)

From: Geert Uytterhoeven <[email-masked]>
Date: Thu, 7 Aug 2008 09:20:07 +0200 (CEST)

On Wed, 6 Aug 2008, Randy Dunlap wrote:
> One randconfig ends with:
> 
> drivers/built-in.o: In function `wd_probe1':
> wd.c:(.init.text+0x6179): undefined reference to `NS8390p_init'
> make[1]: *** [.tmp_vmlinux1] Error 1

drivers/net/Makefile has:

obj-$(CONFIG_WD80x3) += wd.o 8390.o

So either wd_probe1() should call NS8390_init(), or obj-$(CONFIG_WD80x3)
should link with 8390p.o. Don't know which is the appropriate change
here (my gut feeling says the latter).

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds